org.opencv.text

## Class Text

- java.lang.Object
- - org.opencv.text.Text

-     public class Text
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERFILTER_NM_IHSGrad`
    `static int` | `ERFILTER_NM_RGBLGrad`
    `static int` | `ERGROUPING_ORIENTATION_ANY`
    `static int` | `ERGROUPING_ORIENTATION_HORIZ`
    `static int` | `OCR_CNN_CLASSIFIER`
    `static int` | `OCR_DECODER_VITERBI`
    `static int` | `OCR_KNN_CLASSIFIER`
    `static int` | `OCR_LEVEL_TEXTLINE`
    `static int` | `OCR_LEVEL_WORD`
    `static int` | `OEM_CUBE_ONLY`
    `static int` | `OEM_DEFAULT`
    `static int` | `OEM_TESSERACT_CUBE_COMBINED`
    `static int` | `OEM_TESSERACT_ONLY`
    `static int` | `PSM_AUTO`
    `static int` | `PSM_AUTO_ONLY`
    `static int` | `PSM_AUTO_OSD`
    `static int` | `PSM_CIRCLE_WORD`
    `static int` | `PSM_OSD_ONLY`
    `static int` | `PSM_SINGLE_BLOCK`
    `static int` | `PSM_SINGLE_BLOCK_VERT_TEXT`
    `static int` | `PSM_SINGLE_CHAR`
    `static int` | `PSM_SINGLE_COLUMN`
    `static int` | `PSM_SINGLE_LINE`
    `static int` | `PSM_SINGLE_WORD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Text()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `computeNMChannels(Mat _src, java.util.List<Mat> _channels)`
    `static void` | `computeNMChannels(Mat _src, java.util.List<Mat> _channels, int _mode)`
    `static ERFilter` | `createERFilterNM1(java.lang.String filename)`
    `static ERFilter` | `createERFilterNM1(java.lang.String filename, int thresholdDelta)`
    `static ERFilter` | `createERFilterNM1(java.lang.String filename, int thresholdDelta, float minArea)`
    `static ERFilter` | `createERFilterNM1(java.lang.String filename, int thresholdDelta, float minArea, float maxArea)`
    `static ERFilter` | `createERFilterNM1(java.lang.String filename, int thresholdDelta, float minArea, float maxArea, float minProbability)`
    `static ERFilter` | `createERFilterNM1(java.lang.String filename, int thresholdDelta, float minArea, float maxArea, float minProbability, boolean nonMaxSuppression)`
    `static ERFilter` | `createERFilterNM1(java.lang.String filename, int thresholdDelta, float minArea, float maxArea, float minProbability, boolean nonMaxSuppression, float minProbabilityDiff)`
    `static ERFilter` | `createERFilterNM2(java.lang.String filename)`
    `static ERFilter` | `createERFilterNM2(java.lang.String filename, float minProbability)`
    `static Mat` | `createOCRHMMTransitionsTable(java.lang.String vocabulary, java.util.List<java.lang.String> lexicon)`
    `static void` | `detectRegions(Mat image, ERFilter er_filter1, ERFilter er_filter2, java.util.List<MatOfPoint> regions)`
    `static void` | `detectRegions(Mat image, ERFilter er_filter1, ERFilter er_filter2, MatOfRect groups_rects)`
    `static void` | `detectRegions(Mat image, ERFilter er_filter1, ERFilter er_filter2, MatOfRect groups_rects, int method)`
    `static void` | `detectRegions(Mat image, ERFilter er_filter1, ERFilter er_filter2, MatOfRect groups_rects, int method, java.lang.String filename)`
    `static void` | `detectRegions(Mat image, ERFilter er_filter1, ERFilter er_filter2, MatOfRect groups_rects, int method, java.lang.String filename, float minProbability)`
    `static void` | `erGrouping(Mat image, Mat channel, java.util.List<MatOfPoint> regions, MatOfRect groups_rects)`
    `static void` | `erGrouping(Mat image, Mat channel, java.util.List<MatOfPoint> regions, MatOfRect groups_rects, int method)`
    `static void` | `erGrouping(Mat image, Mat channel, java.util.List<MatOfPoint> regions, MatOfRect groups_rects, int method, java.lang.String filename)`
    `static void` | `erGrouping(Mat image, Mat channel, java.util.List<MatOfPoint> regions, MatOfRect groups_rects, int method, java.lang.String filename, float minProbablity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERFILTER_NM_RGBLGrad

          public static final int ERFILTER_NM_RGBLGrad

      See Also:
        Constant Field Values

    - #### ERFILTER_NM_IHSGrad

          public static final int ERFILTER_NM_IHSGrad

      See Also:
        Constant Field Values

    - #### ERGROUPING_ORIENTATION_HORIZ

          public static final int ERGROUPING_ORIENTATION_HORIZ

      See Also:
        Constant Field Values

    - #### ERGROUPING_ORIENTATION_ANY

          public static final int ERGROUPING_ORIENTATION_ANY

      See Also:
        Constant Field Values

    - #### OCR_LEVEL_WORD

          public static final int OCR_LEVEL_WORD

      See Also:
        Constant Field Values

    - #### OCR_LEVEL_TEXTLINE

          public static final int OCR_LEVEL_TEXTLINE

      See Also:
        Constant Field Values

    - #### PSM_OSD_ONLY

          public static final int PSM_OSD_ONLY

      See Also:
        Constant Field Values

    - #### PSM_AUTO_OSD

          public static final int PSM_AUTO_OSD

      See Also:
        Constant Field Values

    - #### PSM_AUTO_ONLY

          public static final int PSM_AUTO_ONLY

      See Also:
        Constant Field Values

    - #### PSM_AUTO

          public static final int PSM_AUTO

      See Also:
        Constant Field Values

    - #### PSM_SINGLE_COLUMN

          public static final int PSM_SINGLE_COLUMN

      See Also:
        Constant Field Values

    - #### PSM_SINGLE_BLOCK_VERT_TEXT

          public static final int PSM_SINGLE_BLOCK_VERT_TEXT

      See Also:
        Constant Field Values

    - #### PSM_SINGLE_BLOCK

          public static final int PSM_SINGLE_BLOCK

      See Also:
        Constant Field Values

    - #### PSM_SINGLE_LINE

          public static final int PSM_SINGLE_LINE

      See Also:
        Constant Field Values

    - #### PSM_SINGLE_WORD

          public static final int PSM_SINGLE_WORD

      See Also:
        Constant Field Values

    - #### PSM_CIRCLE_WORD

          public static final int PSM_CIRCLE_WORD

      See Also:
        Constant Field Values

    - #### PSM_SINGLE_CHAR

          public static final int PSM_SINGLE_CHAR

      See Also:
        Constant Field Values

    - #### OEM_TESSERACT_ONLY

          public static final int OEM_TESSERACT_ONLY

      See Also:
        Constant Field Values

    - #### OEM_CUBE_ONLY

          public static final int OEM_CUBE_ONLY

      See Also:
        Constant Field Values

    - #### OEM_TESSERACT_CUBE_COMBINED

          public static final int OEM_TESSERACT_CUBE_COMBINED

      See Also:
        Constant Field Values

    - #### OEM_DEFAULT

          public static final int OEM_DEFAULT

      See Also:
        Constant Field Values

    - #### OCR_DECODER_VITERBI

          public static final int OCR_DECODER_VITERBI

      See Also:
        Constant Field Values

    - #### OCR_KNN_CLASSIFIER

          public static final int OCR_KNN_CLASSIFIER

      See Also:
        Constant Field Values

    - #### OCR_CNN_CLASSIFIER

          public static final int OCR_CNN_CLASSIFIER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Text

          public Text()

  - ### Method Detail

    - #### createOCRHMMTransitionsTable

          public static Mat createOCRHMMTransitionsTable(java.lang.String vocabulary,
                                                         java.util.List<java.lang.String> lexicon)

    - #### createERFilterNM1

          public static ERFilter createERFilterNM1(java.lang.String filename,
                                                   int thresholdDelta,
                                                   float minArea,
                                                   float maxArea,
                                                   float minProbability,
                                                   boolean nonMaxSuppression,
                                                   float minProbabilityDiff)

    - #### createERFilterNM1

          public static ERFilter createERFilterNM1(java.lang.String filename,
                                                   int thresholdDelta,
                                                   float minArea,
                                                   float maxArea,
                                                   float minProbability,
                                                   boolean nonMaxSuppression)

    - #### createERFilterNM1

          public static ERFilter createERFilterNM1(java.lang.String filename,
                                                   int thresholdDelta,
                                                   float minArea,
                                                   float maxArea,
                                                   float minProbability)

    - #### createERFilterNM1

          public static ERFilter createERFilterNM1(java.lang.String filename,
                                                   int thresholdDelta,
                                                   float minArea,
                                                   float maxArea)

    - #### createERFilterNM1

          public static ERFilter createERFilterNM1(java.lang.String filename,
                                                   int thresholdDelta,
                                                   float minArea)

    - #### createERFilterNM1

          public static ERFilter createERFilterNM1(java.lang.String filename,
                                                   int thresholdDelta)

    - #### createERFilterNM1

          public static ERFilter createERFilterNM1(java.lang.String filename)

    - #### createERFilterNM2

          public static ERFilter createERFilterNM2(java.lang.String filename,
                                                   float minProbability)

    - #### createERFilterNM2

          public static ERFilter createERFilterNM2(java.lang.String filename)

    - #### computeNMChannels

          public static void computeNMChannels(Mat _src,
                                               java.util.List<Mat> _channels,
                                               int _mode)

    - #### computeNMChannels

          public static void computeNMChannels(Mat _src,
                                               java.util.List<Mat> _channels)

    - #### detectRegions

          public static void detectRegions(Mat image,
                                           ERFilter er_filter1,
                                           ERFilter er_filter2,
                                           MatOfRect groups_rects,
                                           int method,
                                           java.lang.String filename,
                                           float minProbability)

    - #### detectRegions

          public static void detectRegions(Mat image,
                                           ERFilter er_filter1,
                                           ERFilter er_filter2,
                                           MatOfRect groups_rects,
                                           int method,
                                           java.lang.String filename)

    - #### detectRegions

          public static void detectRegions(Mat image,
                                           ERFilter er_filter1,
                                           ERFilter er_filter2,
                                           MatOfRect groups_rects,
                                           int method)

    - #### detectRegions

          public static void detectRegions(Mat image,
                                           ERFilter er_filter1,
                                           ERFilter er_filter2,
                                           MatOfRect groups_rects)

    - #### detectRegions

          public static void detectRegions(Mat image,
                                           ERFilter er_filter1,
                                           ERFilter er_filter2,
                                           java.util.List<MatOfPoint> regions)

    - #### erGrouping

          public static void erGrouping(Mat image,
                                        Mat channel,
                                        java.util.List<MatOfPoint> regions,
                                        MatOfRect groups_rects,
                                        int method,
                                        java.lang.String filename,
                                        float minProbablity)

    - #### erGrouping

          public static void erGrouping(Mat image,
                                        Mat channel,
                                        java.util.List<MatOfPoint> regions,
                                        MatOfRect groups_rects,
                                        int method,
                                        java.lang.String filename)

    - #### erGrouping

          public static void erGrouping(Mat image,
                                        Mat channel,
                                        java.util.List<MatOfPoint> regions,
                                        MatOfRect groups_rects,
                                        int method)

    - #### erGrouping

          public static void erGrouping(Mat image,
                                        Mat channel,
                                        java.util.List<MatOfPoint> regions,
                                        MatOfRect groups_rects)

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3